# PlayUI
> The resilient, jQuery-inspired DOM abstraction layer and a UI manipulation library - carefully put together for performance and a playful developer experience.

PlayUI provides APIs for easing multiple DOM-related concerns. It offers a minimal footprint with concise APIs that let the platform speak for itself.

## Guide
Visit the [guide](https://docs.web-native.dev/play-ui/) for install options.

## API
Visit the [API reference](https://docs.web-native.dev/play-ui/api/).

## Issues
To report bugs or request features, please submit an issue to this repository.

## License
MIT.
