
/**
 * @imports
 */
import Reflow from '../Reflow.js';
import domAppend from './appendSync.js';

/**
 * The async type of domAppend().
 *
 * @see domAppend()
 *
 * @return Promise
 */
export default function(el, ...args) {
	return Reflow.onwrite((resolve, reject) => {
		try {
			resolve(domAppend(el, ...args));
		} catch(e) {
			reject(e);
		}
	}, true/*withPromise*/);
};
