
/**
 * @imports
 */
import Reflow from '../Reflow.js';
import domPrepend from './prependSync.js';

/**
 * The async type of domPrepend().
 *
 * @see domAppend()
 *
 * @return Promise
 */
export default function(el, ...args) {
	return Reflow.onwrite((resolve, reject) => {
		try {
			resolve(domPrepend(...args));
		} catch(e) {
			reject(e);
		}
	}, true/*withPromise*/);
};
