
/**
 * @imports
 */
import select from './select.js';

/**
 * Queries a DOM context for all elements matching
 * the given selector.
 *
 * @param string 				selector
 * @param document|HTMLElement	context
 *
 * @return DOMNodeList
 */
export default function selectAll(selector, context = document) {
	return select(selector, context, true/*all*/);
};